{
  "compilerOptions": {
    "target": "ES2020",
    "lib": ["DOM", "DOM.Iterable", "ES6"],
    "allowJs": true,
    "skipLibCheck": true,
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "strict": true,
    "forceConsistentCasingInFileNames": true,
    "noFallthroughCasesInSwitch": true,
    "module": "ESNext",
    "moduleResolution": "Bundler",
    "resolveJsonModule": true,
    "isolatedModules": false,
    "noEmit": true,
    "jsx": "react-jsx",
    "noImplicitAny": true,
    "noImplicitReturns": true,
    "noImplicitThis": true,
    "strictNullChecks": true,
    "strictFunctionTypes": true,
    "strictBindCallApply": true,
    "strictPropertyInitialization": true,
    "exactOptionalPropertyTypes": false,
    "noUncheckedIndexedAccess": true,
    "baseUrl": "./",
    "paths": {
      "@/*": ["src/*"],
      "~/*": ["src/*"],
      "@use-blocker": ["src/shared/lib/hooks/use-blocker.ts"]
    },
    "types": [
      "vite/client",
      "node"
    ]
  },
  "include": [
    "src/**/*"
  ],
  "exclude": [
    "output.ts",
    "src/output.ts",
    "node_modules",
    "dist"
  ]
}